(********************************************************************
 * COPYRIGHT --  
 ********************************************************************
 * Program: GroupAx
 * File: GroupAx.typ
 * Author: lin
 * Created: December 29, 2011
 ********************************************************************
 * Local data types of program GroupAx
 ********************************************************************)
(**Structure to write data for the service channel*)

TYPE
	servicePar_typ : 	STRUCT 
		b : BOOL;
		i1 : SINT;
		ui1 : USINT;
		i2 : INT;
		ui2 : UINT;
		i4 : DINT;
		ui4 : USINT;
		r4 : REAL;
	END_STRUCT;
	axisStatus_typ : 	STRUCT 
		dataDownload : ACP10DATBL_typ;
		serviceBuff : servicePar_typ;
		paraTableNr : USINT;
		simulation : USINT;
		errorHalt : USINT;
		ctrlOff : USINT;
		waitCycles : UINT;
		waitCyclesMax : UINT;
		status : UINT;
		step : UINT;
		axisObj : UDINT;
	END_STRUCT;
END_TYPE
